#!/bin/tclsh

proc totzeit {N T} {
    return [expr $N/(1-$N * 0.0003/$T)]
}

set l [split [read stdin] "\n"]
set hintergr [lindex $l 0]
set N [totzeit [lindex $hintergr 1] [lindex $hintergr 2]]
set hintergr [expr 1.0*$N/[lindex $hintergr 2]]
set l [lrange $l 1 end]

foreach i $l {
    if {[llength $i]>0} {
	
	puts "[lindex $i 0] [expr \
		log(1.0*[totzeit [lindex $i 1] [lindex $i 2]]\
		/[lindex $i 2]-$hintergr)]"
    }
}