#!/usr/bin/tclsh

set intv $argv
if ![string length $intv] {
    set intv 10
}

set curr 0
set z 0

set in stdin

set out stdout

while {1} {
    if [eof $in] {
        break
    }    
    gets $in a
    if {[string length $a]==0} {
	continue
    }
    if {$a >= $curr && $a < $curr+$intv} {
	incr z
    } else {
	puts $out "$curr $z"
	set z 1
	set curr [expr $curr+$intv]
    }
}

puts $out "$curr $z"

